PHP Manual
Prev |  | Next

# apache_getenv

(PHP 4 >= 4.3.0, PHP 5)

apache_getenv -- Get an Apache subprocess_env variable

## Description

string apache_getenv ( string variable [, bool walk_to_top] )

Get an Apache environment variable as specified by `variable`.

This function requires Apache 2 otherwise it's undefined.

## Parameters

`variable`

  The Apache environment variable

`walk_to_top`

  Whether to get the top-level variable available to all Apache layers.

## Return Values

The value of the Apache environment variable on success, or `FALSE` on failure

## Examples

Example 1. apache_getenv() example

The example above shows how to retrieve the value of the Apache environment variable `SERVER_ADDR`.

`<?php $ret = apache_getenv("SERVER_ADDR"); echo $ret; ?>`

The above example will output something similar to:

    42.24.42.240

## See Also

apache_setenv()
getenv()
Superglobals

Prev | Home | Next
apache_get_version | Up | apache_lookup_uri